﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;
using System.Data;

namespace DataTableTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //接続文字列
            string constr = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30";

            //SqlConnectionオブジェクトを生成
            SqlConnection con = new SqlConnection(constr);

            //Usersテーブルのデータを取得するSQL文を作成
            string sql = "SELECT * FROM Users;";

            //DataAdapterオブジェクトを生成
            SqlDataAdapter da = new SqlDataAdapter(sql, con);

            //DataTableオブジェクトを生成
            DataTable dt = new DataTable();

            //DataTableとデータベースに同期させる
            da.Fill(dt);

            //データテーブルの情報を表示する
            Console.WriteLine("登録されているレコードの件数：{0}", dt.Rows.Count);
            Console.ReadLine();
        }
    }
}
